Subject: bug#59149: [SPAM UNSURE] Re: bug#59149: Feature Request: Report progress of long requests in Eglot

From: Danny Freeman <[email-masked]>
Date: Fri, 09 Dec 2022 08:38:22 -0500

João Távora <[email-masked]> writes:

> I just pushed this to the emacs-29 branch, as it's a feature within
> a new feature for that branch already.

That is very exciting to hear, thank you!

> Danny, I also tweaked the implementation slightly to use a hash table
> instead of an alist.  I didn't actually test this, as I have no server handy
> that supplies these $/progress notifications, but it should be functionally
> equivalent.  let me know if it's not, it's easy to tweak.
>
> Also, I added a missing entry in the eglot.texi manual.

I just pulled the changes down and tested it. It works great. Thank you
for cleaning it up.

I'm very excited to see this make it in to 29. As always, I appreciate
your help and patience with me.

-- 
Danny Freeman